import { LfStorage } from '@lightweightform/core';
import { DATE_OUT_OF_BOUNDS_CODE, IS_REJECTED_CODE, IS_REQUIRED_CODE, LENGTH_OUT_OF_BOUNDS_CODE, NUMBER_OUT_OF_BOUNDS_CODE, SIZE_OUT_OF_BOUNDS_CODE, UNALLOWED_VALUE_CODE } from '@lightweightform/storage';
import { I18N_ACTIONS_MENU_BUTTON_TEXT_KEY, I18N_CLOSE_BUTTON_TOOLTIP_KEY, I18N_DATE_FORMAT_KEY, I18N_DATE_PLACEHOLDER_KEY, I18N_DATE_RANGE_SEPARATOR_KEY, I18N_FORM_CANCEL_REMOVE_BUTTON_TEXT_KEY, I18N_FORM_CONFIRM_REMOVE_BUTTON_TEXT_KEY, I18N_FORM_ENSURE_REMOVE_TEXT_KEY, I18N_FORM_HELP_ACTION_TEXT_KEY, I18N_FORM_REMOVE_ACTION_TEXT_KEY, I18N_NUMBER_DECIMAL_SEPARATOR_KEY, I18N_NUMBER_THOUSANDS_SEPARATOR_KEY, I18N_SELECTION_NO_OPTIONS_TEXT_KEY, I18N_TABLE_ADD_ROW_ACTION_TEXT_KEY, I18N_TABLE_NO_ROWS_TEXT_KEY, I18N_TABLE_REMOVE_ROWS_ACTION_TEXT_KEY, I18N_TREE_NAV_ADD_OPTIONAL_VALUE_BUTTON_TEXT_KEY, I18N_TREE_NAV_ADD_VALUE_TO_LIST_BUTTON_TEXT_KEY, I18N_VALIDATION_PANEL_ERRORS_TEXT_KEY, I18N_VALIDATION_PANEL_NEXT_BUTTON_TOOLTIP_KEY, I18N_VALIDATION_PANEL_NO_ISSUES_TEXT_KEY, I18N_VALIDATION_PANEL_PREV_BUTTON_TOOLTIP_KEY, I18N_VALIDATION_PANEL_WARNINGS_TEXT_KEY, I18N_VALUE_RETRY_VALIDATE_TEXT_KEY } from './keys';
export declare const I18N_PT_PT: {
    '*': {
        [I18N_VALUE_RETRY_VALIDATE_TEXT_KEY]: string;
        [I18N_TREE_NAV_ADD_OPTIONAL_VALUE_BUTTON_TEXT_KEY]: string;
        [I18N_TREE_NAV_ADD_VALUE_TO_LIST_BUTTON_TEXT_KEY]: string;
        [I18N_ACTIONS_MENU_BUTTON_TEXT_KEY]: string;
        [I18N_CLOSE_BUTTON_TOOLTIP_KEY]: string;
        [I18N_VALIDATION_PANEL_ERRORS_TEXT_KEY]: string;
        [I18N_VALIDATION_PANEL_WARNINGS_TEXT_KEY]: string;
        [I18N_VALIDATION_PANEL_NO_ISSUES_TEXT_KEY]: string;
        [I18N_VALIDATION_PANEL_NEXT_BUTTON_TOOLTIP_KEY]: string;
        [I18N_VALIDATION_PANEL_PREV_BUTTON_TOOLTIP_KEY]: string;
        [I18N_FORM_HELP_ACTION_TEXT_KEY]: string;
        [I18N_FORM_REMOVE_ACTION_TEXT_KEY]: string;
        [I18N_FORM_ENSURE_REMOVE_TEXT_KEY]: string;
        [I18N_FORM_CANCEL_REMOVE_BUTTON_TEXT_KEY]: string;
        [I18N_FORM_CONFIRM_REMOVE_BUTTON_TEXT_KEY]: string;
        [I18N_DATE_FORMAT_KEY]: string;
        [I18N_DATE_PLACEHOLDER_KEY]: string;
        [I18N_DATE_RANGE_SEPARATOR_KEY]: string;
        [I18N_NUMBER_DECIMAL_SEPARATOR_KEY]: string;
        [I18N_NUMBER_THOUSANDS_SEPARATOR_KEY]: string;
        [I18N_TABLE_ADD_ROW_ACTION_TEXT_KEY]: string;
        [I18N_TABLE_REMOVE_ROWS_ACTION_TEXT_KEY]: string;
        [I18N_TABLE_NO_ROWS_TEXT_KEY]: string;
        [I18N_SELECTION_NO_OPTIONS_TEXT_KEY]: string;
        validations: {
            [IS_REJECTED_CODE]: string;
            [IS_REQUIRED_CODE]: string;
            [UNALLOWED_VALUE_CODE]: (ctx: any, { allowedValues }: {
                allowedValues: any;
            }) => string;
            [DATE_OUT_OF_BOUNDS_CODE]: (_: any, { minDate, maxDate }: {
                minDate: any;
                maxDate: any;
            }) => string;
            [SIZE_OUT_OF_BOUNDS_CODE]: (ctx: LfStorage, { size, minSize, maxSize }: {
                size: any;
                minSize: any;
                maxSize: any;
            }) => string;
            [NUMBER_OUT_OF_BOUNDS_CODE]: (_: any, { min, max }: {
                min: any;
                max: any;
            }) => string;
            [LENGTH_OUT_OF_BOUNDS_CODE]: (_: any, { length, minLength, maxLength }: {
                length: any;
                minLength: any;
                maxLength: any;
            }) => string;
        };
    };
};
